Update Override
cURL
curl --request PUT \
--url https://api.fabric.inc/v3/location-capacity/{capacityOverrideId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"locationNumber": "23",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"updatedBy": "Carl Doe"
}
'
Python
import requests
url = "https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}"
payload = {
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"locationNumber": "23",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"updatedBy": "Carl Doe"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
capacity: 30,
schedule: {startDate: '2022-05-12T09:30:31Z', endDate: '2022-05-12T09:30:31Z'},
reasonCode: 'holiday',
locationNumber: '23',
notes: 'Any additional info',
createdBy: 'Carl Doe',
updatedBy: 'Carl Doe'
})
};
fetch('https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'capacity' => 30,
'schedule' => [
'startDate' => '2022-05-12T09:30:31Z',
'endDate' => '2022-05-12T09:30:31Z'
],
'reasonCode' => 'holiday',
'locationNumber' => '23',
'notes' => 'Any additional info',
'createdBy' => 'Carl Doe',
'updatedBy' => 'Carl Doe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}"
payload := strings.NewReader("{\n \"capacity\": 30,\n \"schedule\": {\n \"startDate\": \"2022-05-12T09:30:31Z\",\n \"endDate\": \"2022-05-12T09:30:31Z\"\n },\n \"reasonCode\": \"holiday\",\n \"locationNumber\": \"23\",\n \"notes\": \"Any additional info\",\n \"createdBy\": \"Carl Doe\",\n \"updatedBy\": \"Carl Doe\"}\")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Status Codes
- 200: Location Capacity Override updated.
- 400: Bad Request.
- 401: Unauthorized.
- 404: Not Found.
- 500: Internal Server Error.
Example Response
Success Example
{
"capacity": 30,
"schedule": {
"startDate": "2022-05-12T09:30:31Z",
"endDate": "2022-05-12T09:30:31Z"
},
"reasonCode": "holiday",
"capacityOverrideId": "9320183a01e214",
"capacityOverrideNumber": "capacityOverride1",
"locationNumber": "23",
"status": "CREATED",
"notes": "Any additional info",
"createdBy": "Carl Doe",
"createdAt": "2022-05-12T09:30:31Z",
"updatedBy": "Carl Doe",
"updatedAt": "2022-05-12T09:30:31Z",
"auditLogs": [
{
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"auditType": "CANCEL",
"employeeId": 6227,
"auditedAt": "2023-03-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "Scratched item",
"subReasonCode": "Scratched item",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "SKU0023",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {
"key": "value"
},
"isSuccess": true
}
]
}
Error Example
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}